# write

## Description

Write data to file.

## Input / Parameter

| Name       | Description                                  | Data Type   | Default | Options | Required |
| ---------- | -------------------------------------------- | ----------- | ------- | ------- | -------- |
| storage    | The size of the file.                        | Number      | -       | -       | Yes      |
| folderPath | The path to store the file.                  | String/Text | -       | -       | Yes      |
| fileName   | The name of the file.                        | String/Text | -       | -       | Yes      |
| data       | The data to be written to the file.          | String/Text | -       | -       | Yes      |
| dataType   | The data type of the file.                   | String/Text | -       | -       | Yes      |
| extra      | Additional data to be used in the callbacks. | Any         | -       | -       | No       |

## Output

N/A

## Callback?

### callback

The function to be executed when data is written to the file successfully.

### errCallback

The function to be executed when data is not written to the file successfully.

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/file/write.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
